GET https://api.ap1.datadoghq.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.ap2.datadoghq.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.datadoghq.eu/api/v2/metrics/{metric_name}/tag-cardinalities https://api.ddog-gov.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.us2.ddog-gov.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.uk1.datadoghq.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.datadoghq.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.us3.datadoghq.com/api/v2/metrics/{metric_name}/tag-cardinalities https://api.us5.datadoghq.com/api/v2/metrics/{metric_name}/tag-cardinalities
Présentation Renvoyer les détails de cardinalité des tags pour une métrique spécifique.
This endpoint requires the metrics_read permission.
Arguments Paramètres du chemin Réponse Success
Response object that includes an array of objects representing the cardinality details of a metric’s tags.
Expand All
A list of tag cardinalities associated with the given metric.
An object containing properties related to the tag key
This describes the recent change in the tag keys cardinality
This describes the endpoint action.
default: tag_cardinality
Response metadata object.
The name of metric for which the tag cardinalities are returned.
This matches the metric name provided in the request.
{
"data" : [
{
"attributes" : {
"cardinality_delta" : "integer"
},
"id" : "string" ,
"type" : "string"
}
],
"meta" : {
"metric_name" : "string"
}
} Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too Many Requests
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Exemple de code Copier
# Path parameters export metric_name = "dist.http.endpoint.request" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/metrics/${metric_name}/tag-cardinalities " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Get tag key cardinality details returns "Success" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.metrics_api import MetricsApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = MetricsApi ( api_client )
response = api_instance . get_metric_tag_cardinality_details (
metric_name = "metric_name" ,
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Get tag key cardinality details returns "Success" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: MetricsAPI . new
p api_instance . get_metric_tag_cardinality_details ( "metric_name" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Get tag key cardinality details returns "Success" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewMetricsApi ( apiClient )
resp , r , err := api . GetMetricTagCardinalityDetails ( ctx , "metric_name" )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `MetricsApi.GetMetricTagCardinalityDetails`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `MetricsApi.GetMetricTagCardinalityDetails`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Get tag key cardinality details returns "Success" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.MetricsApi ;
import com.datadog.api.client.v2.model.MetricTagCardinalitiesResponse ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
MetricsApi apiInstance = new MetricsApi ( defaultClient );
try {
MetricTagCardinalitiesResponse result =
apiInstance . getMetricTagCardinalityDetails ( "dist.http.endpoint.request" );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling MetricsApi#getMetricTagCardinalityDetails" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Get tag key cardinality details returns "Success" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_metrics ::MetricsAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = MetricsAPI ::with_config ( configuration );
let resp = api
. get_metric_tag_cardinality_details ( "metric_name" . to_string ())
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Get tag key cardinality details returns "Success" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . MetricsApi ( configuration );
const params : v2.MetricsApiGetMetricTagCardinalityDetailsRequest = {
metricName : "metric_name" ,
};
apiInstance
. getMetricTagCardinalityDetails ( params )
. then (( data : v2.MetricTagCardinalitiesResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"